package cn.sh.stc.sict.theme.common.service;

import cn.sh.stc.sict.theme.common.dto.ArticleDTO;
import cn.sh.stc.sict.theme.common.model.HphyArticle;
import cn.sh.stc.sict.theme.common.model.HphyAttachment;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 黄埔-附件管理
 *
 * @author F_xh
 * @date 2020-12-24 10:29:48
 */
public interface HphyAttachmentService extends IService<HphyAttachment> {
    boolean saveOrupdate(Long bizId, List<HphyAttachment> attachmentList);

    boolean removeByBizId(Long bizId);

    List<HphyAttachment> getByBizId(Long bizId);

    Page<ArticleDTO> getVO(Page<HphyArticle> page);
}

